4101: Installation of Acronis Backup & Recovery 10 Agent for Linux on Non-RPM 64-Bit Distribution Fails with "package dkms-2.0.21-1 is intended for a noarch architecture"

use Google Translate

Operating Systems: 

Download and run a Linux shell script to resolve the issue

This article applies to:

  • Acronis Backup & Recovery 10 Advanced Server (Agent for Linux)
  • Acronis Backup & Recovery 10 Server for Linux (Standalone)
  • Acronis Backup & Recovery 10 Advanced Server - Small Business Server Edition (Agent for Linux)
  • Acronis Backup & Recovery 10 Advanced Server - Virtual Edition (Agent for Linux)

Symptoms

Any attempt to install Acronis Backup & Recovery 10 Agent for Linux on a non-RPM 64-bit Linux distribution fails with the following error message:

package dkms-2.0.21-1 is intended for a noarch architecture

Cause

Issue in the product.

Solution

This has been fixed and the fix is available in the latest build of Acronis Backup & Recovery 10. See Downloading the Latest Build of Acronis Software.

To solve the issue without downloading the latest build, proceed as described below:

  • Download a special shell script;
  • Unzip the downloaded script;
  • Issue the following command:

    #sh update.sh <installation_file_name>

    where <installation_file_name> is the name of the Acronis Agent installation file.

More information

See also the list of most used RPM-based distributions:

Tags: 

You are reporting a typo in the following text:
Simply click the "Send typo report" button to complete the report. You can also include a comment.
CAPTCHA
This question is for testing whether or not you are a human visitor and to prevent automated spam submissions.
3 + 2 =
Solve this simple math problem and enter the result. E.g. for 1+3, enter 4.